CVE-2021-29989

NameCVE-2021-29989
DescriptionMozilla developers reported memory safety bugs present in Firefox 90 and Firefox ESR 78.12. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code. This vulnerability affects Thunderbird < 78.13, Firefox ESR < 78.13, and Firefox < 91.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2740-1, DLA-2745-1, DSA-4956-1, DSA-4959-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid92.0-1fixed
firefox-esr (PTS)stretch68.10.0esr-1~deb9u1vulnerable
stretch (security)78.14.0esr-1~deb9u1fixed
buster78.11.0esr-1~deb10u1vulnerable
buster (security)78.14.0esr-1~deb10u1fixed
bullseye78.12.0esr-1vulnerable
bullseye (security)78.14.0esr-1~deb11u1fixed
bookworm, sid78.14.0esr-1fixed
thunderbird (PTS)stretch1:68.10.0-1~deb9u1vulnerable
stretch (security)1:78.14.0-1~deb9u1fixed
buster1:78.6.0-1~deb10u1vulnerable
buster (security)1:78.14.0-1~deb10u1fixed
bullseye1:78.12.0-1vulnerable
bullseye (security)1:78.14.0-1~deb11u1fixed
bookworm, sid1:78.14.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)91.0-1
firefox-esrsourcestretch78.13.0esr-1~deb9u1DLA-2740-1
firefox-esrsourcebuster78.13.0esr-1~deb10u1DSA-4956-1
firefox-esrsourcebullseye78.13.0esr-1~deb11u1DSA-4956-1
firefox-esrsource(unstable)78.13.0esr-1
thunderbirdsourcestretch1:78.13.0-1~deb9u1DLA-2745-1
thunderbirdsourcebuster1:78.13.0-1~deb10u1DSA-4959-1
thunderbirdsourcebullseye1:78.13.0-1~deb11u1DSA-4959-1
thunderbirdsource(unstable)1:78.13.0-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2021-33/#CVE-2021-29989
https://www.mozilla.org/en-US/security/advisories/mfsa2021-34/#CVE-2021-29989
https://www.mozilla.org/en-US/security/advisories/mfsa2021-36/#CVE-2021-29989

Search for package or bug name: Reporting problems